step "the user scans a table QR code" do
  step 'there is a table'
  when_ember_is_ready do
    page.execute_script "MozoUser.__container__.lookup('route:application').transitionTo('table','#{@table.id}')"
  end
end

step "I am on the user homepage" do
  step "the user is on the homepage"
end

step "the user is on the homepage" do
  user_visit '/'
end

step "the user should be redirected to the user order overview page" do
  #route_should_be 'user#active_list'
  ember_route_should_be "/active-list"
end

step "the user should be redirected to the archived list path" do
  #route_should_be 'user#history_list'
  ember_route_should_be "/lists/#{@order.list_id}"
  page.should have_selector ".order-row-#{@order.id}"
end

step 'there is another user' do
  @other_user ||= create :user, :other_auth
end

step "the other user clicks the join table button" do
  find('.join-table-button').click
end
